import QtQuick 2.12
import QtQuick.Controls 2.12
import QtWebEngine 1.8
import QtQuick.Layouts 1.3


ApplicationWindow {
    id: root
    width: 1200
    height: 700
    visible: true
    title: "Test"
    property int heightArticle: 0

    Flickable {
        id: rootHomePage
        contentHeight: 5000
        contentWidth: parent.width

        width: parent.width
        height: parent.height
        onWidthChanged: {
        }

        Rectangle{
            id: page
            width: parent.width
            height: 300 + 5000
            color: "#008024"

            Column{
                anchors.fill: parent
                Rectangle{
                    width: parent.width
                    height: 300
                    color: "#b30303"
                }
                Item{
                    width: (parent.width / 100) * 90
                    height: 5000



                    WebEngineView {
                        id: webView
                        visible: true
                        width: parent.width

                        height: 4000
                        url: "https://evileg.com/ru/"
                        onLoadingChanged: {
                            console.log("load")

                            webView.runJavaScript(
                                        "document.documentElement.scrollHeight;", function (i_actualPageHeight) {root.heightArticle = i_actualPageHeight; });

                            if (loadRequest.errorString){
                                console.error(loadRequest.errorString);
                            }
                        }
                    }
                }
            }
        }
    }
    ScrollBar.vertical: ScrollBar {
        width: 15

        policy: ScrollBar.AlwaysOn
    }
}
